# Interface PoiExtractor

interface PoiExtractor {
dist: ((arg0) => number);
id: ((arg0) => string);
sort: ((arg0) => number);
title: ((arg0) => string);
z: ((arg0, arg1) => number);
}

- Defined in src/profile/elevationComponent.js:33

#####
Index

### Properties

dist
id
sort
title
z

## Properties

### dist

dist: ((arg0) => number)

Extract the distance from origin of a POI.

#### Type declaration

- - (arg0): number

  - #### Parameters

    - arg0: unknown

    #### Returns number

- Defined in src/profile/elevationComponent.js:35

### id

id: ((arg0) => string)

Extract the id of a POI.

#### Type declaration

- - (arg0): string

  - #### Parameters

    - arg0: unknown

    #### Returns string

- Defined in src/profile/elevationComponent.js:34

### sort

sort: ((arg0) => number)

Extract the sequence number of a POI.

#### Type declaration

- - (arg0): number

  - #### Parameters

    - arg0: unknown

    #### Returns number

- Defined in src/profile/elevationComponent.js:37

### title

title: ((arg0) => string)

Extract the title of a POI.

#### Type declaration

- - (arg0): string

  - #### Parameters

    - arg0: unknown

    #### Returns string

- Defined in src/profile/elevationComponent.js:38

### z

z: ((arg0, arg1) => number)

Extract the elevation of a POI.

#### Type declaration

- - (arg0, arg1): number

  - #### Parameters

    - arg0: unknown
    - arg1: number

    #### Returns number

- Defined in src/profile/elevationComponent.js:36

Generated using TypeDoc